Skip to main content
POST
/
action
/
enrich_person
Enrich Person
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/enrich_person \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "output_variable_name": "enriched_person",
  "email": "<string>",
  "name": "<string>",
  "company": "<string>",
  "domain": "<string>",
  "linkedin_url": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
output_variable_name
string
default:enriched_person
required

Variable name to store the enrichment result (JSON with all enriched fields).

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
email
string

Person's email address. Best identifier — enables Fiber AI LinkedIn resolution.

name
string

Person's full name (e.g. 'Jane Doe'). Used with company/domain for web search fallback.

company
string

Current employer name. Helps disambiguate common names.

domain
string

Company website domain (e.g. 'acme.com'). Alternative to company name.

linkedin_url
string

LinkedIn profile URL or slug (e.g. 'https://linkedin.com/in/janedoe' or 'janedoe').

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action